Name: wanpipe
Summary: %name
Version: 3.3.15
Release: alt1.4
License: GPL
Group: System/Kernel and hardware
%add_findreq_skiplist %_sysconfdir/*
Url: http://wiki.sangoma.com/wanpipe-linux-drivers
Packager: Denis Smirnov <mithraen@altlinux.ru>
Source: %name-%version.tgz
Patch1: %name.buildroot.patch
Patch2: %name.altlinux.patch
BuildPreReq: kernel-headers-modules-std-def
BuildPreReq: kernel-headers-zaptel-std-def
BuildPreReq: less
BuildRequires: bison flex gcc-c++ libncurses-devel libreadline rsync
%package -n kernel-source-wanpipe
Summary: %name
Group: Development/Kernel

%description -n kernel-source-wanpipe
%name

%package -n libsangoma-devel-static
Summary: %name
Group: System/Kernel and hardware
Requires: libsangoma-devel = %version-%release

%description -n libsangoma-devel-static
%name

%package -n libsangoma-devel
Summary: %name
Group: System/Kernel and hardware
Requires: libsangoma = %version-%release

%description -n libsangoma-devel
%name

%package -n libsangoma
Summary: %name
Group: System/Kernel and hardware

%description -n libsangoma
%name

%package complete
Summary: %name
Group: System/Kernel and hardware
Requires: kernel-source-wanpipe = %version-%release
Requires: libsangoma-devel = %version-%release
Requires: libsangoma = %version-%release
Requires: wanpipe-docs = %version-%release
Requires: wanpipe = %version-%release

%description complete
%name

%package docs
Summary: %name
Group: System/Kernel and hardware
BuildArch: noarch

%description docs
%name

%description
%name


%prep
%setup
%patch1
%patch2 -p2
find -type f -name '*.swp' -delete
find -type f -name '*.bak' -delete
find -type f -name '*.orig' -delete
find -type d -name '.svn' -print0 | xargs -0r rm -rf
find -type f -name 'wanconfig_client' -delete
find -type f -name 'wpkbdmon' -delete
find -type f -name 'wp_x25_event_read' -delete

%build
tar -c -j -f ../%name-%version.tar.bz2 .
ls -l

%install
mkdir -p 000%_sysconfdir/wanpipe
mkdir -p tmp.kernel
krn=%_usrsrc/`ls -1 %_usrsrc | grep ^linux-.*-std-def-alt | sort -n | tail`
rsync -ak --delete $krn/ tmp.kernel/
inc=`realpath tmp.kernel/include`
bd=`realpath 000`
export EXTRA_FLAGS=-I$inc
export NONINTERACTIVE=1
install -D -m755 samples/wanrouter $bd%_initdir//wanrouter
./Setup install \
	--silent \
	--builddir=$bd \
	--protocol=SS7,BITSTRM,BSCSTRM,BISYNC,SDLC,EDU,MPAPI,ADCCP,TDM \
	--with-linux=`realpath tmp.kernel` \
	--with-zaptel=`realpath tmp.kernel`
mkdir -p %buildroot%_usrsrc/kernel/sources/
cp ../%name-%version.tar.bz2 %buildroot%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2
rm -rf 000%_sysconfdir/wanpipe/api
rm -rf 000/lib/modules
rm -rf 000%_docdir
rm -f  000/usr/local/sbin/setup-sangoma
mv  000%_sysconfdir/wanpipe/util/wan_aftup/wan_aftup 000%_sbindir/
ln -s %_sbindir/wan_aftup 000%_sysconfdir/wanpipe/util/wan_aftup/wan_aftup
%ifarch x86_64
mkdir  -p 000/usr/lib64
mv 000/usr/lib/* 000/usr/lib64/
%endif
find 000 -type d -empty -delete
cp -a 000/* %buildroot/

%files
%_initdir//wanrouter
%_sbindir/*
%config(noreplace) %_sysconfdir/wanpipe

%files -n kernel-source-wanpipe
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%files -n libsangoma-devel-static
%_libdir/libsangoma.a

%files -n libsangoma-devel
%_libdir/libsangoma.so
%_libdir/libsangoma.so.1
%_includedir/*

%files -n libsangoma
%_libdir/libsangoma.so.1.0.0

%files complete

%files docs
%doc doc/*

%changelog
* Mon Feb 16 2009 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1.4
- package initscript

* Mon Dec 15 2008 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1.3
- small fixes

* Mon Dec 15 2008 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1.2
- fix kernel-source-%name
- build kernel-source-%name as noarch

* Sun Dec 14 2008 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1.1
- fix build in hasher

* Sun Dec 14 2008 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1
- first build for Sisyphus

